Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class ModifierPragma

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.ModifierPragma

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  CondExprModifierPragma, ExprModifierPragma, IdentifierModifierPragma, MapsExprModifierPragma, ModelProgamModifierPragma, ModifiesGroupPragma, NestedModifierPragma, ParsedSpecs, ReachModifierPragma, SimpleModifierPragma, VarDeclModifierPragma, VarExprModifierPragma

public abstract class ModifierPragma
extends ASTNode

Field Summary
`private int` | `originalTag`
`boolean` | `redundant`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `ModifierPragma()` Construct a raw ModifierPragma whose class invariant(s) have not yet been established.

Method Summary
`void` | `check()`
`boolean` | `isRedundant()`
`int` | `originalTag()`
`ModifierPragma` | `setOriginalTag(int t)`
`void` | `setRedundant(boolean v)`

Methods inherited from class javafe.ast.ASTNode
`accept, accept, childAt, childCount, clone, clone, getDecorations, getEndLoc, getStartLoc, getTag, setDecorations, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### redundant

    public boolean redundant

### originalTag

    private int originalTag

Constructor Detail

### ModifierPragma

    protected ModifierPragma()

  Construct a raw ModifierPragma whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### isRedundant

    public boolean isRedundant()

### setRedundant

    public void setRedundant(boolean v)

### setOriginalTag

    public ModifierPragma setOriginalTag(int t)

### originalTag

    public int originalTag()

### check

    public void check()

  Overrides:
    `check` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage